$(document).ready(function(){

    $(document).on('click','.btnAgregarExperiencia',function(e) {
        e.preventDefault();
        var pers_id = $(this).attr('pers_id');

        funciones.bloquearFrm(".frmExperiencia", true, true);
        funciones.modalType('#mdlExperiencia', 'success');

        $('#mdlExperiencia').find('#pers_id').val(pers_id);
        $('#mdlExperiencia').find('#peel_id').val(null);

        $('#mdlExperiencia').modal('show');
    });

    $(document).on('click','.btnExperiencia',function(e) {
        e.preventDefault();
        funciones.showHideButtonLoading('.btnExperiencia');

        if ($('#peel_experiencia_general_temp').is(':checked')) {
            $('#peel_experiencia_general').val(1);
        }else{
            $('#peel_experiencia_general').val(0);
        }

        if ($('#peel_experiencia_especifica_temp').is(':checked')) {
            $('#peel_experiencia_especifica').val(1);
        }else{
            $('#peel_experiencia_especifica').val(0);
        }

        var fd = new FormData($(".frmExperiencia")[0]);

        $.ajax({
            url: $(".frmExperiencia").attr("action"),
            type: 'POST',
            data: fd,
            success: function (response) {
                if(funciones.showMensajeByResponse(".frmExperiencia",response) === true){
                    $('#mdlExperiencia').modal('hide');
                    cargarExperiencia();
                }
            },
            cache: false,
            contentType: false,
            processData: false
        }).fail(function (e) {

        }).always(function () {
            funciones.showHideButtonLoading('.btnExperiencia');
        });

    });

    // $(document).on('click','.btnDelete',function(e){
    //     e.preventDefault();
    //     var This = this;
    //     Swal.fire({
    //         title: "Anular",
    //         text: "Desea anular el registro: " + $(This).attr('data-acci_descripcion'),
    //         icon: "warning",
    //         showCancelButton: true,
    //         confirmButtonColor: "#f60000",
    //         cancelButtonColor: "#dadada",
    //         cancelButtonText: "Cerrar",
    //         confirmButtonText: "Anular",
    //         showLoaderOnConfirm: true,
    //         preConfirm: function (email) {
    //             return $.ajax({
    //                 url: $(".frmDatos").attr("action").replaceAll('guardar','eliminar'),
    //                 data: { acci_id: $(This).attr('data-acci_id') },
    //                 type: 'post'
    //             })
    //         },
    //         allowOutsideClick: false
    //     }).then(function (result) {
    //         var acciest = JSON.parse(result.value);
    //         if(acciest.status == 0){
    //             alertify.error(acciest.msg);
    //         }else {
    //             dataTable.ajax.reload();
    //         }
    //     });
    // });
    //
    // $(document).on('click','.btnEdit',function(e) {
    //     e.preventDefault();
    //     var This = this;
    //     funciones.showHideButtonLoading(This,false);
    //     $.get( $(".frmDatos").attr("action").replaceAll('guardar','buscar') + '?acci_id=' + $(This).attr('data-acci_id'),function(response) {
    //         funciones.asignarValoresForm(".frmDatos",JSON.parse(response));
    //         funciones.modalType('#mdlDatos','warning');
    //         $('#mdlDatos').modal('show');
    //     })
    //     .fail(function(response) {
    //
    //     })
    //     .always(function(response) {
    //         funciones.showHideButtonLoading(This);
    //     });
    // });
    //
    // $(document).on('change','.chkResponsable',function(e) {
    //     e.preventDefault();
    //     var This = this;
    //
    //     $.post( $(".frmDatos").attr("action").replaceAll('guardar','responsable'),{
    //         'acci_id' : $(This).parents('tr').find('.btnEdit').attr('data-acci_id')
    //     },function(response) {
    //         dataTable.ajax.reload();
    //     });
    // });
    //
    // $('#cbOficina').change(function (e){
    //     e.preventDefault();
    //     dataTable.ajax.reload();
    // });

    cargarExperiencia();

});

function cargarExperiencia(){
    var persId = $('.btnAgregarExperiencia').attr('pers_id');

    $.get( $(".frmExperiencia").attr("action").replaceAll('guardar','buscar') + '?pers_id=' + persId,function(response) {
        $('.tblExperiencia tbody tr').remove();
        $.each(response,function(idx,obj){
            var tr = [
                '<tr>',
                '<td>' + (idx + 1) + '</td>',
                '<td>' + obj.cont_descripcion + '</td>',
                '<td>' + (obj.peel_experiencia_especifica=="1"?"SI":"NO") + '</td>',
                '<td>' + (obj.peel_experiencia_general=="1"?"SI":"NO") + '</td>',
                '<td>' + obj.peel_nombre_entidad + '</td>',
                '<td>' + obj.peel_cargo + '</td>',
                '<td>' + funciones.convertFecha(obj.peel_fecha_inicio) + '</td>',
                '<td>' + funciones.convertFecha(obj.peel_fecha_final) + '</td>',
                '<td>' + obj.diferencia_meses + '</td>',
                '<td>',
                '</td>',
                '</tr>'
            ].join('')

            $('.tblExperiencia tbody').append(tr);
        })
    },'json')
        .fail(function (response) {

        })
        .always(function (response) {

        });
}
